using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class BusInsert : DataAccessBase
	{
		public BusInsert()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.TripleDES;
			base.Key = "123";
			base.IV = "abc";
			ConnectionString = ConfigurationManager.AppSettings["kygl2"];
			base.InitCommand("[dbo].[BusInsert]");
			ConfigParameter();
		}

		private SqlParameter paramID;
		public System.Int32 ID
		{
			get
			{
				return (System.Int32)paramID.Value;
			}
			set
			{
				paramID.Value = value;
			}
		}

		private SqlParameter paramOwnersID;
		public System.Int32 OwnersID
		{
			get
			{
				return (System.Int32)paramOwnersID.Value;
			}
			set
			{
				paramOwnersID.Value = value;
			}
		}

		private SqlParameter paramBusLicense;
		public System.String BusLicense
		{
			get
			{
				return (System.String)paramBusLicense.Value;
			}
			set
			{
				paramBusLicense.Value = value;
			}
		}

		private SqlParameter paramTransportCard;
		public System.String TransportCard
		{
			get
			{
				return (System.String)paramTransportCard.Value;
			}
			set
			{
				paramTransportCard.Value = value;
			}
		}

		private SqlParameter paramTransportCardIssueDate;
		public System.DateTime TransportCardIssueDate
		{
			get
			{
				return (System.DateTime)paramTransportCardIssueDate.Value;
			}
			set
			{
				paramTransportCardIssueDate.Value = value;
			}
		}

		private SqlParameter paramTransportCardFromDate;
		public System.DateTime TransportCardFromDate
		{
			get
			{
				return (System.DateTime)paramTransportCardFromDate.Value;
			}
			set
			{
				paramTransportCardFromDate.Value = value;
			}
		}

		private SqlParameter paramTransportCardToDate;
		public System.DateTime TransportCardToDate
		{
			get
			{
				return (System.DateTime)paramTransportCardToDate.Value;
			}
			set
			{
				paramTransportCardToDate.Value = value;
			}
		}

		private SqlParameter paramBusColor;
		public System.String BusColor
		{
			get
			{
				return (System.String)paramBusColor.Value;
			}
			set
			{
				paramBusColor.Value = value;
			}
		}

		private SqlParameter paramSeatNumber;
		public System.Int32 SeatNumber
		{
			get
			{
				return (System.Int32)paramSeatNumber.Value;
			}
			set
			{
				paramSeatNumber.Value = value;
			}
		}

		private SqlParameter paramEngine;
		public System.String Engine
		{
			get
			{
				return (System.String)paramEngine.Value;
			}
			set
			{
				paramEngine.Value = value;
			}
		}

		private SqlParameter paramChassis;
		public System.String Chassis
		{
			get
			{
				return (System.String)paramChassis.Value;
			}
			set
			{
				paramChassis.Value = value;
			}
		}

		private SqlParameter paramBusModel;
		public System.String BusModel
		{
			get
			{
				return (System.String)paramBusModel.Value;
			}
			set
			{
				paramBusModel.Value = value;
			}
		}

		private SqlParameter paramFuel;
		public System.String Fuel
		{
			get
			{
				return (System.String)paramFuel.Value;
			}
			set
			{
				paramFuel.Value = value;
			}
		}

		private SqlParameter paramAnnualDate;
		public System.String AnnualDate
		{
			get
			{
				return (System.String)paramAnnualDate.Value;
			}
			set
			{
				paramAnnualDate.Value = value;
			}
		}

		private SqlParameter paramBusinessRightCard;
		public System.String BusinessRightCard
		{
			get
			{
				return (System.String)paramBusinessRightCard.Value;
			}
			set
			{
				paramBusinessRightCard.Value = value;
			}
		}

		private SqlParameter paramBusinessRightCardIssueDate;
		public System.DateTime BusinessRightCardIssueDate
		{
			get
			{
				return (System.DateTime)paramBusinessRightCardIssueDate.Value;
			}
			set
			{
				paramBusinessRightCardIssueDate.Value = value;
			}
		}

		private SqlParameter paramBusinessRightCardFromDate;
		public System.DateTime BusinessRightCardFromDate
		{
			get
			{
				return (System.DateTime)paramBusinessRightCardFromDate.Value;
			}
			set
			{
				paramBusinessRightCardFromDate.Value = value;
			}
		}

		private SqlParameter paramBusinessRightCardToDate;
		public System.DateTime BusinessRightCardToDate
		{
			get
			{
				return (System.DateTime)paramBusinessRightCardToDate.Value;
			}
			set
			{
				paramBusinessRightCardToDate.Value = value;
			}
		}

		private SqlParameter paramOperateCard;
		public System.String OperateCard
		{
			get
			{
				return (System.String)paramOperateCard.Value;
			}
			set
			{
				paramOperateCard.Value = value;
			}
		}

		private SqlParameter paramOperateCardFromDate;
		public System.DateTime OperateCardFromDate
		{
			get
			{
				return (System.DateTime)paramOperateCardFromDate.Value;
			}
			set
			{
				paramOperateCardFromDate.Value = value;
			}
		}

		private SqlParameter paramOperateCardToDate;
		public System.DateTime OperateCardToDate
		{
			get
			{
				return (System.DateTime)paramOperateCardToDate.Value;
			}
			set
			{
				paramOperateCardToDate.Value = value;
			}
		}

		private SqlParameter paramOperateIssueDate;
		public System.DateTime OperateIssueDate
		{
			get
			{
				return (System.DateTime)paramOperateIssueDate.Value;
			}
			set
			{
				paramOperateIssueDate.Value = value;
			}
		}

		private SqlParameter paramLineID;
		public System.Int32 LineID
		{
			get
			{
				return (System.Int32)paramLineID.Value;
			}
			set
			{
				paramLineID.Value = value;
			}
		}

		private SqlParameter paramLineName;
		public System.String LineName
		{
			get
			{
				return (System.String)paramLineName.Value;
			}
			set
			{
				paramLineName.Value = value;
			}
		}

		private SqlParameter paramCreateUser;
		public System.String CreateUser
		{
			get
			{
				return (System.String)paramCreateUser.Value;
			}
			set
			{
				paramCreateUser.Value = value;
			}
		}

		private SqlParameter paramUpdateUser;
		public System.String UpdateUser
		{
			get
			{
				return (System.String)paramUpdateUser.Value;
			}
			set
			{
				paramUpdateUser.Value = value;
			}
		}

		private SqlParameter paramUpdateDateTime;
		public System.DateTime UpdateDateTime
		{
			get
			{
				return (System.DateTime)paramUpdateDateTime.Value;
			}
			set
			{
				paramUpdateDateTime.Value = value;
			}
		}

		private SqlParameter paramFlag;
		public System.Int16 Flag
		{
			get
			{
				return (System.Int16)paramFlag.Value;
			}
			set
			{
				paramFlag.Value = value;
			}
		}

		private SqlParameter paramFlagDateTime;
		public System.DateTime FlagDateTime
		{
			get
			{
				return (System.DateTime)paramFlagDateTime.Value;
			}
			set
			{
				paramFlagDateTime.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramID = new SqlParameter();
			paramID.ParameterName = "@ID";
			paramID.SqlDbType = SqlDbType.Int;
			paramID.Precision = 10;
			paramID.Scale = 0;
			paramID.Direction = ParameterDirection.InputOutput;
			paramID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramID);
			//--------------------------------------------------------
			paramOwnersID = new SqlParameter();
			paramOwnersID.ParameterName = "@OwnersID";
			paramOwnersID.SqlDbType = SqlDbType.Int;
			paramOwnersID.Precision = 10;
			paramOwnersID.Scale = 0;
			paramOwnersID.Direction = ParameterDirection.Input;
			paramOwnersID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramOwnersID);
			//--------------------------------------------------------
			paramBusLicense = new SqlParameter();
			paramBusLicense.ParameterName = "@BusLicense";
			paramBusLicense.SqlDbType = SqlDbType.VarChar;
			paramBusLicense.Size = 50;
			paramBusLicense.Direction = ParameterDirection.Input;
			paramBusLicense.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramBusLicense);
			//--------------------------------------------------------
			paramTransportCard = new SqlParameter();
			paramTransportCard.ParameterName = "@TransportCard";
			paramTransportCard.SqlDbType = SqlDbType.VarChar;
			paramTransportCard.Size = 50;
			paramTransportCard.Direction = ParameterDirection.Input;
			paramTransportCard.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramTransportCard);
			//--------------------------------------------------------
			paramTransportCardIssueDate = new SqlParameter();
			paramTransportCardIssueDate.ParameterName = "@TransportCardIssueDate";
			paramTransportCardIssueDate.SqlDbType = SqlDbType.DateTime;
			paramTransportCardIssueDate.Size = 16;
			paramTransportCardIssueDate.Scale = 3;
			paramTransportCardIssueDate.Direction = ParameterDirection.Input;
			paramTransportCardIssueDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramTransportCardIssueDate);
			//--------------------------------------------------------
			paramTransportCardFromDate = new SqlParameter();
			paramTransportCardFromDate.ParameterName = "@TransportCardFromDate";
			paramTransportCardFromDate.SqlDbType = SqlDbType.DateTime;
			paramTransportCardFromDate.Size = 16;
			paramTransportCardFromDate.Scale = 3;
			paramTransportCardFromDate.Direction = ParameterDirection.Input;
			paramTransportCardFromDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramTransportCardFromDate);
			//--------------------------------------------------------
			paramTransportCardToDate = new SqlParameter();
			paramTransportCardToDate.ParameterName = "@TransportCardToDate";
			paramTransportCardToDate.SqlDbType = SqlDbType.DateTime;
			paramTransportCardToDate.Size = 16;
			paramTransportCardToDate.Scale = 3;
			paramTransportCardToDate.Direction = ParameterDirection.Input;
			paramTransportCardToDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramTransportCardToDate);
			//--------------------------------------------------------
			paramBusColor = new SqlParameter();
			paramBusColor.ParameterName = "@BusColor";
			paramBusColor.SqlDbType = SqlDbType.VarChar;
			paramBusColor.Size = 50;
			paramBusColor.Direction = ParameterDirection.Input;
			paramBusColor.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramBusColor);
			//--------------------------------------------------------
			paramSeatNumber = new SqlParameter();
			paramSeatNumber.ParameterName = "@SeatNumber";
			paramSeatNumber.SqlDbType = SqlDbType.Int;
			paramSeatNumber.Precision = 10;
			paramSeatNumber.Scale = 0;
			paramSeatNumber.Direction = ParameterDirection.Input;
			paramSeatNumber.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramSeatNumber);
			//--------------------------------------------------------
			paramEngine = new SqlParameter();
			paramEngine.ParameterName = "@Engine";
			paramEngine.SqlDbType = SqlDbType.VarChar;
			paramEngine.Size = 50;
			paramEngine.Direction = ParameterDirection.Input;
			paramEngine.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramEngine);
			//--------------------------------------------------------
			paramChassis = new SqlParameter();
			paramChassis.ParameterName = "@Chassis";
			paramChassis.SqlDbType = SqlDbType.VarChar;
			paramChassis.Size = 50;
			paramChassis.Direction = ParameterDirection.Input;
			paramChassis.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramChassis);
			//--------------------------------------------------------
			paramBusModel = new SqlParameter();
			paramBusModel.ParameterName = "@BusModel";
			paramBusModel.SqlDbType = SqlDbType.VarChar;
			paramBusModel.Size = 50;
			paramBusModel.Direction = ParameterDirection.Input;
			paramBusModel.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramBusModel);
			//--------------------------------------------------------
			paramFuel = new SqlParameter();
			paramFuel.ParameterName = "@Fuel";
			paramFuel.SqlDbType = SqlDbType.VarChar;
			paramFuel.Size = 50;
			paramFuel.Direction = ParameterDirection.Input;
			paramFuel.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramFuel);
			//--------------------------------------------------------
			paramAnnualDate = new SqlParameter();
			paramAnnualDate.ParameterName = "@AnnualDate";
			paramAnnualDate.SqlDbType = SqlDbType.VarChar;
			paramAnnualDate.Size = 50;
			paramAnnualDate.Direction = ParameterDirection.Input;
			paramAnnualDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramAnnualDate);
			//--------------------------------------------------------
			paramBusinessRightCard = new SqlParameter();
			paramBusinessRightCard.ParameterName = "@BusinessRightCard";
			paramBusinessRightCard.SqlDbType = SqlDbType.VarChar;
			paramBusinessRightCard.Size = 50;
			paramBusinessRightCard.Direction = ParameterDirection.Input;
			paramBusinessRightCard.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramBusinessRightCard);
			//--------------------------------------------------------
			paramBusinessRightCardIssueDate = new SqlParameter();
			paramBusinessRightCardIssueDate.ParameterName = "@BusinessRightCardIssueDate";
			paramBusinessRightCardIssueDate.SqlDbType = SqlDbType.DateTime;
			paramBusinessRightCardIssueDate.Size = 16;
			paramBusinessRightCardIssueDate.Scale = 3;
			paramBusinessRightCardIssueDate.Direction = ParameterDirection.Input;
			paramBusinessRightCardIssueDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramBusinessRightCardIssueDate);
			//--------------------------------------------------------
			paramBusinessRightCardFromDate = new SqlParameter();
			paramBusinessRightCardFromDate.ParameterName = "@BusinessRightCardFromDate";
			paramBusinessRightCardFromDate.SqlDbType = SqlDbType.DateTime;
			paramBusinessRightCardFromDate.Size = 16;
			paramBusinessRightCardFromDate.Scale = 3;
			paramBusinessRightCardFromDate.Direction = ParameterDirection.Input;
			paramBusinessRightCardFromDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramBusinessRightCardFromDate);
			//--------------------------------------------------------
			paramBusinessRightCardToDate = new SqlParameter();
			paramBusinessRightCardToDate.ParameterName = "@BusinessRightCardToDate";
			paramBusinessRightCardToDate.SqlDbType = SqlDbType.DateTime;
			paramBusinessRightCardToDate.Size = 16;
			paramBusinessRightCardToDate.Scale = 3;
			paramBusinessRightCardToDate.Direction = ParameterDirection.Input;
			paramBusinessRightCardToDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramBusinessRightCardToDate);
			//--------------------------------------------------------
			paramOperateCard = new SqlParameter();
			paramOperateCard.ParameterName = "@OperateCard";
			paramOperateCard.SqlDbType = SqlDbType.VarChar;
			paramOperateCard.Size = 50;
			paramOperateCard.Direction = ParameterDirection.Input;
			paramOperateCard.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramOperateCard);
			//--------------------------------------------------------
			paramOperateCardFromDate = new SqlParameter();
			paramOperateCardFromDate.ParameterName = "@OperateCardFromDate";
			paramOperateCardFromDate.SqlDbType = SqlDbType.DateTime;
			paramOperateCardFromDate.Size = 16;
			paramOperateCardFromDate.Scale = 3;
			paramOperateCardFromDate.Direction = ParameterDirection.Input;
			paramOperateCardFromDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramOperateCardFromDate);
			//--------------------------------------------------------
			paramOperateCardToDate = new SqlParameter();
			paramOperateCardToDate.ParameterName = "@OperateCardToDate";
			paramOperateCardToDate.SqlDbType = SqlDbType.DateTime;
			paramOperateCardToDate.Size = 16;
			paramOperateCardToDate.Scale = 3;
			paramOperateCardToDate.Direction = ParameterDirection.Input;
			paramOperateCardToDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramOperateCardToDate);
			//--------------------------------------------------------
			paramOperateIssueDate = new SqlParameter();
			paramOperateIssueDate.ParameterName = "@OperateIssueDate";
			paramOperateIssueDate.SqlDbType = SqlDbType.DateTime;
			paramOperateIssueDate.Size = 16;
			paramOperateIssueDate.Scale = 3;
			paramOperateIssueDate.Direction = ParameterDirection.Input;
			paramOperateIssueDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramOperateIssueDate);
			//--------------------------------------------------------
			paramLineID = new SqlParameter();
			paramLineID.ParameterName = "@LineID";
			paramLineID.SqlDbType = SqlDbType.Int;
			paramLineID.Precision = 10;
			paramLineID.Scale = 0;
			paramLineID.Direction = ParameterDirection.Input;
			paramLineID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramLineID);
			//--------------------------------------------------------
			paramLineName = new SqlParameter();
			paramLineName.ParameterName = "@LineName";
			paramLineName.SqlDbType = SqlDbType.VarChar;
			paramLineName.Size = 50;
			paramLineName.Direction = ParameterDirection.Input;
			paramLineName.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramLineName);
			//--------------------------------------------------------
			paramCreateUser = new SqlParameter();
			paramCreateUser.ParameterName = "@CreateUser";
			paramCreateUser.SqlDbType = SqlDbType.VarChar;
			paramCreateUser.Size = 50;
			paramCreateUser.Direction = ParameterDirection.Input;
			paramCreateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCreateUser);
			//--------------------------------------------------------
			paramUpdateUser = new SqlParameter();
			paramUpdateUser.ParameterName = "@UpdateUser";
			paramUpdateUser.SqlDbType = SqlDbType.VarChar;
			paramUpdateUser.Size = 50;
			paramUpdateUser.Direction = ParameterDirection.Input;
			paramUpdateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateUser);
			//--------------------------------------------------------
			paramUpdateDateTime = new SqlParameter();
			paramUpdateDateTime.ParameterName = "@UpdateDateTime";
			paramUpdateDateTime.SqlDbType = SqlDbType.DateTime;
			paramUpdateDateTime.Size = 16;
			paramUpdateDateTime.Scale = 3;
			paramUpdateDateTime.Direction = ParameterDirection.Input;
			paramUpdateDateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateDateTime);
			//--------------------------------------------------------
			paramFlag = new SqlParameter();
			paramFlag.ParameterName = "@Flag";
			paramFlag.SqlDbType = SqlDbType.SmallInt;
			paramFlag.Precision = 5;
			paramFlag.Scale = 0;
			paramFlag.Direction = ParameterDirection.Input;
			paramFlag.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramFlag);
			//--------------------------------------------------------
			paramFlagDateTime = new SqlParameter();
			paramFlagDateTime.ParameterName = "@FlagDateTime";
			paramFlagDateTime.SqlDbType = SqlDbType.DateTime;
			paramFlagDateTime.Size = 16;
			paramFlagDateTime.Scale = 3;
			paramFlagDateTime.Direction = ParameterDirection.Input;
			paramFlagDateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramFlagDateTime);
		}
	}
}